Summary: A network traffic monitoring tool.
Name: tcpdump
Version: 3.5
%define libpcap_dir libpcap_0_5rel2
%define tcpdump_dir tcpdump_3_5rel2
Release: 1
Group: Applications/Internet
Copyright: BSD
Url: http://www.tcpdump.org/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: http://www.tcpdump.org/release/tcpdump-3.5.tar.gz
Source1: http://www.tcpdump.org/release/libpcap-0.5.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
Tcpdump is a command-line tool for monitoring network traffic.
Tcpdump can capture and display the packet headers on a particular
network interface or on all interfaces.  Tcpdump can display all of
the packet headers, or just the ones that match particular criteria.


%package -n libpcap
Summary: A system-independent interface for user-level packet capture.
Version: 0.5
Group: Development/Libraries

%description -n libpcap
Libpcap provides a portable framework for low-level network
monitoring.  Libpcap can provide network statistics collection,
security monitoring and network debugging.  Since almost every system
vendor provides a different interface for packet capture, the libpcap
authors created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application.


%prep
%setup -q -c -b 1
perl -pi -e 's|-o bin -g bin||g' %{libpcap_dir}/Makefile.in
perl -pi -e 's|-o bin -g bin||g' %{tcpdump_dir}/Makefile.in


%build
cd %{libpcap_dir}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make
cd ..

cd %{tcpdump_dir}
ln -s ../%{libpcap_dir} libpcap
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make
cd ..


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{include/net,lib,man/man{3,8},sbin}

cd %libpcap_dir
make DESTDIR=$RPM_BUILD_ROOT install install-incl install-man
cd ..

cd %tcpdump_dir
install -m755 -s tcpdump ${RPM_BUILD_ROOT}/usr/sbin
install -m644 tcpdump.1 ${RPM_BUILD_ROOT}/usr/man/man8/tcpdump.8
cd ..


%files
%defattr(-,root,root)
%doc %{tcpdump_dir}/{CHANGES,INSTALL,README}
/usr/sbin/tcpdump
/usr/man/man8/tcpdump.8

%files -n libpcap
%defattr(-,root,root)
%doc %{libpcap_dir}/{CHANGES,CREDITS,INSTALL,README}
/usr/include/*.h
/usr/include/net/*.h
/usr/lib/libpcap.a
/usr/man/man3/pcap.3


%clean
rm -rf $RPM_BUILD_ROOT

